MozillaZine

Flash use - late 2017

Discussion of general topics about Mozilla Firefox
Mac29
 
Posts: 10
Joined: May 9th, 2014, 5:12 pm

Post Posted October 11th, 2017, 3:46 pm

Do I need Flash installed at all? It's almost 2018. I was 'set' to "click to allow" but figured I should update to the latest Flash version. But the link only opens a 'Blocked Add-ons' page stating Flash 26 and earlier has been blocked.

I use Sandboxie anyways but sometimes I need to open a page in another browser (therefore update Flash). Can I just excise Flash from my Programs and will FF (ver 47.1) play video I actually want via some other plugin/application? Or will I be forced to install Flash again to play some video? Will the new FF in a few weeks play Flash video at all?

I hate Flash and Abode. I've read for years now that HTML5 will supercede Flash. Dear Lord let me be done with it already.

Lastly, if I may, why do I continue to get pop ups when I set my browser to not allow them? Damned confusing.



Thanks,

Mac

James
Moderator

User avatar
 
Posts: 27006
Joined: June 18th, 2003, 3:07 pm
Location: Made in Canada

Post Posted October 11th, 2017, 4:25 pm

Adobe plans to support their Flash Player Plugin until end of 2020.
https://blogs.adobe.com/conversations/2017/07/adobe-flash-update.html

27.0.0.159 is the current NPAPI version and 27.0.0.130 was the previous for NPAPI version. http://get.adobe.com/flashplayer/about/

There is no replacement for videos and games that uses the Flash Player Plugin from Adobe. However HTML5 player has been growing in use as time goes on.

Firefox 47.0.1 is old (June 28, 2016) and vulnerable as it does not have the security fixes (many of which are critical) that were fixed and added in since.
https://www.mozilla.org/security/known-vulnerabilities/firefox/

Mark12547
 
Posts: 87
Joined: May 13th, 2017, 11:36 am
Location: Oregon, United States, Earth

Post Posted October 11th, 2017, 4:33 pm

There are a couple of websites where I still need Flash: on the Turner Classic Movies website for playing videos, and for dabplayer.

Brummelchen
 
Posts: 2271
Joined: March 19th, 2005, 10:51 am

Post Posted October 12th, 2017, 1:04 am

you asked about flash, not only for security reaseon - but your user agent points out build v47 and thus high vulnerable, please uprade soon!

therube

User avatar
 
Posts: 17539
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted October 12th, 2017, 9:41 am

why do I continue to get pop ups when I set my browser to not allow them

Popups of what, about what?
If about Flash, it could be a site is notifying you that it requires Flash, or you're running into bogus (malware-related) "Flash update" popups.
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

Return to Firefox General


Who is online

Users browsing this forum: No registered users and 4 guests